<div class="card-body">
    <div class="card-header">
      <button (click)="addPackage()" class="btn btn-success btn-sm float-right">Add</button>
      <h4>Package List</h4>
    </div>
    <div class="card-body">
      <table class="table table-striped table-bordered">
        <thead>
          <tr>
            <th>PackageId</th>
            <th>PackageImage</th>
            <th>PackageName</th>
            <th>PackageType</th>
            <th>PackageLocation</th>
            <th>CategoryId</th>
            <th>PackagePrice</th>
            <th>PackageDetails</th>
            <th>Created On</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let package of packages">
            <td>{{package.PackageId}}</td>
            <td><img *ngIf="package.PackageImage" class="package-image" src="http://localhost:3000/package/image/{{package.PackageImage}}" alt=""></td>
            <td>{{package.PackageName}}</td>
            <td>{{package.PackageType}}</td>
            <td>{{package.PackageLocation}}</td>
            <td>{{package.categoryId}}</td>
            <td>{{package.PackagePrice}}</td>
            <td>{{package.PackageDetails}}</td>
            <td>{{package.Creationdate}}</td>
            <td>
              <button (click)="onEdit(package)" style="margin-left: 10px;" class="btn btn-warning btn-sm">Edit</button>
              <button (click)="onDelete(package)" style="margin-left: 10px;" class="btn btn-danger btn-sm">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>